Last Comment Bug 755452 - BasicTiledLayerBuffer::PaintThebes passes aPaintRegion as the region to invalidate to mCallback
: BasicTiledLayerBuffer::PaintThebes passes aPaintRegion as the region to inval...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics: Layers (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Benoit Girard (:BenWa)
:
Mentors:
Depends on:
Blocks: 748088
  Show dependency treegraph
 
Reported: 2012-05-15 12:31 PDT by Ali Juma [:ajuma]
Modified: 2012-05-25 11:46 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
+
fixed
fixed


Attachments
patch (1.01 KB, patch)
2012-05-15 12:34 PDT, Benoit Girard (:BenWa)
roc: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Ali Juma [:ajuma] 2012-05-15 12:31:41 PDT
This is triggering a never-ending cycle of invalidation for some reftests.
Comment 1 Benoit Girard (:BenWa) 2012-05-15 12:34:35 PDT
Created attachment 624147 [details] [diff] [review]
patch
Comment 2 Benoit Girard (:BenWa) 2012-05-15 13:23:46 PDT
I'm not ready to uplift this but let's put it on trunk and keep an eye on this.
Comment 4 Benoit Girard (:BenWa) 2012-05-16 08:15:53 PDT
Backed out but wasn't the real cause of Talos regression.

re-landed:
https://hg.mozilla.org/integration/mozilla-inbound/rev/19cfd6fb3c57
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-05-16 19:53:21 PDT
https://hg.mozilla.org/mozilla-central/rev/19cfd6fb3c57
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-05-23 16:41:30 PDT
BenWa, now that there's been some time on trunk are you ready to nominate for aurora?
Comment 7 Benoit Girard (:BenWa) 2012-05-23 17:14:46 PDT
Comment on attachment 624147 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 739679
User impact if declined: Needless painting under certain conditions
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): low
String or UUID changes made by this patch: none
Comment 8 Benoit Girard (:BenWa) 2012-05-23 17:15:09 PDT
(In reply to Benoit Girard (:BenWa) from comment #7)
> Risk to taking this patch (and alternatives if risky): low

and mobile only
Comment 9 Alex Keybl [:akeybl] 2012-05-25 11:38:35 PDT
Comment on attachment 624147 [details] [diff] [review]
patch

[Triage Comment]
Approved for Aurora 14.

Note You need to log in before you can comment on or make changes to this bug.